/*
 * Class EV_NOTEBOOK_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_307 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_307 [] = {0xFF01,1551,306,0xFFFF};
static const EIF_TYPE_INDEX egt_2_307 [] = {0xFF01,306,0xFFFF};
static const EIF_TYPE_INDEX egt_3_307 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_307 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_307 [] = {0xFF01,306,0xFFFF};
static const EIF_TYPE_INDEX egt_6_307 [] = {0xFF01,306,0xFFFF};
static const EIF_TYPE_INDEX egt_7_307 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_307 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_307 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_307 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_307 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_307 [] = {0xFF01,306,0xFFFF};
static const EIF_TYPE_INDEX egt_13_307 [] = {0xFF01,375,0xFFFF};
static const EIF_TYPE_INDEX egt_14_307 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_307[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_307), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_307), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_307), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_307), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_307), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_307), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_307), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_307), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_307), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_307), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_307), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_307), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0265 /*306*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_307), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_307), 6057, 0},
	{EIF_GENERIC(egt_14_307), 6058, 0xFFFFFFFF},
};
void Init307(void)
{
	IDSC(desc_307, 0, 306);
	IDSC(desc_307 + 1, 1, 306);
	IDSC(desc_307 + 32, 141, 306);
}


#ifdef __cplusplus
}
#endif
